include "STDP.f90"

program main
	use STDP;
	implicit none;
	integer, parameter :: N=60;
	double precision :: x(N**2),y(N**2),z(N**2);
	integer :: i,j,error;
	real, parameter :: pi=3.14159;
	integer :: fout=3;
	open(unit=fout, file="harmonicData", action="write", status="replace");
	do i=0,N-1
		do j=1, N
			write(fout,*) j,i,sin(real(i)*2*pi/N)*cos(real(j)*2*pi/N);
		end do
	end do
	close(fout);
	call STDP_PlotFile(fileSpecifier = STDP_CreatePlotFileSpecifier(fileName = "harmonicData", key="harmonic", &
		dims = 3, dataColumns = (/1,2,3/), index = STDP_INDEX_NULL), &
		appearance = STDP_CreatePlotAppearance(width=1, color=3, &
		plotType = STDP_PLOT_AS_SURFACE, XResolution=100, YResolution=100, &
		contours=.true., pointType = STDP_POINTTYPE_DOT), title="3D-Plot Example", terminal = "x11");
		
	do i=1,N
		x(i) = real(i)/N;
		y(i) = cos(i*pi*2/N);
		z(i) = x(i)*y(i);
	end do
	call STDP_PlotData(XValues = x(1:N), YValues = z(1:N),&
		fileName="Electron", appearance = STDP_CreatePlotAppearance(plotType = STDP_PLOT_AS_SURFACE, pointType = STDP_POINTTYPE_X),&
		XLabel="Time", title="Plot example", key="Particle behaviour", error=error, terminal="x11");
	if(error /= 0) print *,"Could not plot!";
end program main
